﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace XamScrollBarOnLeft
{
    public class MyDataRecord
    {
        private const string CHARS = "ABCDEFGHIJKLMNOPQRSTUVWXYZ012456789";
        private static Random _rand = new Random();

        public static MyDataRecord MakeRandom()
        {
            MyDataRecord rv = new MyDataRecord();
            rv.Col1 = MakeRandomString("Col1.", _rand.Next(15, 30));
            rv.Col2 = MakeRandomString("Col2.", _rand.Next(15, 30));
            rv.Col3 = MakeRandomString("Col3.", _rand.Next(15, 30));
            rv.Col4 = MakeRandomString("Col4.", _rand.Next(15, 30));
            rv.Col5 = MakeRandomString("Col5.", _rand.Next(15, 30));
            return rv;
        }

        public string Col1 { get; set; }
        public string Col2 { get; set; }
        public string Col3 { get; set; }
        public string Col4 { get; set; }
        public string Col5 { get; set; }

        public static string MakeRandomString(string leader, int maxLength)
        {
            return leader + MakeRandomString(maxLength);
        }

        public static string MakeRandomString(int maxLength)
        {
            int len = _rand.Next(10, maxLength);
            return CHARS.Substring(len);
        }
    }
}
